package org.kde.qt;


/** {@link QHttp} emits these signals */
public interface QHttpSignals {
	void dataReadProgress( int arg1, int arg2 );
//	void newChildren( QValueList<QUrlInfo>* arg1, QNetworkOperation res );
	void requestStarted( int arg1 );
	void connectionStateChanged( int state, String data );
	void removed( QNetworkOperation res );
	void stateChanged( int arg1 );
	void createdDirectory( QUrlInfo arg1, QNetworkOperation res );
//	void readyRead( * resp );
	void requestFinished( int arg1, boolean arg2 );
	void destroyed( QObject obj );
	void data( byte[] arg1, QNetworkOperation res );
	void dataTransferProgress( int bytesDone, int bytesTotal, QNetworkOperation res );
	void dataSendProgress( int arg1, int arg2 );
	void newChild( QUrlInfo arg1, QNetworkOperation res );
	void done( boolean arg1 );
	void itemChanged( QNetworkOperation res );
	void finished( QNetworkOperation res );
//	void responseHeaderReceived( QHttpResponseHeader* resp );
	void start( QNetworkOperation res );
}

